
package de.ivu.elect.presentation.gebietsbaum.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.gebietsbaum.GebietsarteigenschaftSearchView;

public class GebietsarteigenschaftSearchMenuItemEntry extends AbstractGebietsarteigenschaftMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public GebietsarteigenschaftSearchMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.GEBIETSARTEIGENSCHAFT_SEARCH;
  }

  @Override
  public String getTargetViewId() {
    return GebietsarteigenschaftSearchView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconSearch();
  }
}
